/[pcre]/code/trunk/configure
ViewVC logotype

Contents of /code/trunk/configure

Parent Directory Parent Directory | Revision Log Revision Log


Revision 41 - (hide annotations) (download)
Sat Feb 24 21:39:17 2007 UTC (7 years, 8 months ago) by nigel
File size: 46507 byte(s)
Load pcre-2.08a into code/trunk.

1 nigel 41 #! /bin/sh
2    
3     # Guess values for system-dependent variables and create Makefiles.
4     # Generated automatically using autoconf version 2.13
5     # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6     #
7     # This configure script is free software; the Free Software Foundation
8     # gives unlimited permission to copy, distribute and modify it.
9    
10     # Defaults:
11     ac_help=
12     ac_default_prefix=/usr/local
13     # Any additions from configure.in:
14     ac_help="$ac_help
15     --enable-shared build PCRE as a shared library (using libtool)"
16    
17     # Initialize some variables set by options.
18     # The variables have the same names as the options, with
19     # dashes changed to underlines.
20     build=NONE
21     cache_file=./config.cache
22     exec_prefix=NONE
23     host=NONE
24     no_create=
25     nonopt=NONE
26     no_recursion=
27     prefix=NONE
28     program_prefix=NONE
29     program_suffix=NONE
30     program_transform_name=s,x,x,
31     silent=
32     site=
33     srcdir=
34     target=NONE
35     verbose=
36     x_includes=NONE
37     x_libraries=NONE
38     bindir='${exec_prefix}/bin'
39     sbindir='${exec_prefix}/sbin'
40     libexecdir='${exec_prefix}/libexec'
41     datadir='${prefix}/share'
42     sysconfdir='${prefix}/etc'
43     sharedstatedir='${prefix}/com'
44     localstatedir='${prefix}/var'
45     libdir='${exec_prefix}/lib'
46     includedir='${prefix}/include'
47     oldincludedir='/usr/include'
48     infodir='${prefix}/info'
49     mandir='${prefix}/man'
50    
51     # Initialize some other variables.
52     subdirs=
53     MFLAGS= MAKEFLAGS=
54     SHELL=${CONFIG_SHELL-/bin/sh}
55     # Maximum number of lines to put in a shell here document.
56     ac_max_here_lines=12
57    
58     ac_prev=
59     for ac_option
60     do
61    
62     # If the previous option needs an argument, assign it.
63     if test -n "$ac_prev"; then
64     eval "$ac_prev=\$ac_option"
65     ac_prev=
66     continue
67     fi
68    
69     case "$ac_option" in
70     -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
71     *) ac_optarg= ;;
72     esac
73    
74     # Accept the important Cygnus configure options, so we can diagnose typos.
75    
76     case "$ac_option" in
77    
78     -bindir | --bindir | --bindi | --bind | --bin | --bi)
79     ac_prev=bindir ;;
80     -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
81     bindir="$ac_optarg" ;;
82    
83     -build | --build | --buil | --bui | --bu)
84     ac_prev=build ;;
85     -build=* | --build=* | --buil=* | --bui=* | --bu=*)
86     build="$ac_optarg" ;;
87    
88     -cache-file | --cache-file | --cache-fil | --cache-fi \
89     | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
90     ac_prev=cache_file ;;
91     -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
92     | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
93     cache_file="$ac_optarg" ;;
94    
95     -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
96     ac_prev=datadir ;;
97     -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
98     | --da=*)
99     datadir="$ac_optarg" ;;
100    
101     -disable-* | --disable-*)
102     ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
103     # Reject names that are not valid shell variable names.
104     if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
105     { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
106     fi
107     ac_feature=`echo $ac_feature| sed 's/-/_/g'`
108     eval "enable_${ac_feature}=no" ;;
109    
110     -enable-* | --enable-*)
111     ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
112     # Reject names that are not valid shell variable names.
113     if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
114     { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
115     fi
116     ac_feature=`echo $ac_feature| sed 's/-/_/g'`
117     case "$ac_option" in
118     *=*) ;;
119     *) ac_optarg=yes ;;
120     esac
121     eval "enable_${ac_feature}='$ac_optarg'" ;;
122    
123     -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
124     | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
125     | --exec | --exe | --ex)
126     ac_prev=exec_prefix ;;
127     -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
128     | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
129     | --exec=* | --exe=* | --ex=*)
130     exec_prefix="$ac_optarg" ;;
131    
132     -gas | --gas | --ga | --g)
133     # Obsolete; use --with-gas.
134     with_gas=yes ;;
135    
136     -help | --help | --hel | --he)
137     # Omit some internal or obsolete options to make the list less imposing.
138     # The list generated by autoconf has been trimmed to remove many
139     # options that are totally irrelevant to PCRE (e.g. relating to X),
140     # or are not supported by its Makefile.
141     # The list generated by autoconf has been trimmed to remove many
142     # options that are totally irrelevant to PCRE (e.g. relating to X),
143     # or are not supported by its Makefile.
144     # This message is too long to be a string in the A/UX 3.1 sh.
145     cat << EOF
146     Usage: ./configure [options]
147     Options: [defaults in brackets after descriptions]
148     Configuration:
149     --cache-file=FILE cache test results in FILE
150     --help print this message
151     --no-create do not create output files
152     --quiet, --silent do not print \`checking...' messages
153     --version print the version of autoconf that created configure
154     Directory and file names:
155     --prefix=PREFIX install architecture-independent files in PREFIX
156     [$ac_default_prefix]
157     --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
158     [same as prefix]
159     --bindir=DIR user executables in DIR [EPREFIX/bin]
160     --libdir=DIR object code libraries in DIR [EPREFIX/lib]
161     --includedir=DIR C header files in DIR [PREFIX/include]
162     --mandir=DIR man documentation in DIR [PREFIX/man]
163     EOF
164     cat << EOF
165     EOF
166     if test -n "$ac_help"; then
167     echo "--enable and --with options recognized:$ac_help"
168     fi
169     exit 0 ;;
170    
171     -host | --host | --hos | --ho)
172     ac_prev=host ;;
173     -host=* | --host=* | --hos=* | --ho=*)
174     host="$ac_optarg" ;;
175    
176     -includedir | --includedir | --includedi | --included | --include \
177     | --includ | --inclu | --incl | --inc)
178     ac_prev=includedir ;;
179     -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
180     | --includ=* | --inclu=* | --incl=* | --inc=*)
181     includedir="$ac_optarg" ;;
182    
183     -infodir | --infodir | --infodi | --infod | --info | --inf)
184     ac_prev=infodir ;;
185     -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
186     infodir="$ac_optarg" ;;
187    
188     -libdir | --libdir | --libdi | --libd)
189     ac_prev=libdir ;;
190     -libdir=* | --libdir=* | --libdi=* | --libd=*)
191     libdir="$ac_optarg" ;;
192    
193     -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
194     | --libexe | --libex | --libe)
195     ac_prev=libexecdir ;;
196     -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
197     | --libexe=* | --libex=* | --libe=*)
198     libexecdir="$ac_optarg" ;;
199    
200     -localstatedir | --localstatedir | --localstatedi | --localstated \
201     | --localstate | --localstat | --localsta | --localst \
202     | --locals | --local | --loca | --loc | --lo)
203     ac_prev=localstatedir ;;
204     -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
205     | --localstate=* | --localstat=* | --localsta=* | --localst=* \
206     | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
207     localstatedir="$ac_optarg" ;;
208    
209     -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
210     ac_prev=mandir ;;
211     -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
212     mandir="$ac_optarg" ;;
213    
214     -nfp | --nfp | --nf)
215     # Obsolete; use --without-fp.
216     with_fp=no ;;
217    
218     -no-create | --no-create | --no-creat | --no-crea | --no-cre \
219     | --no-cr | --no-c)
220     no_create=yes ;;
221    
222     -no-recursion | --no-recursion | --no-recursio | --no-recursi \
223     | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
224     no_recursion=yes ;;
225    
226     -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
227     | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
228     | --oldin | --oldi | --old | --ol | --o)
229     ac_prev=oldincludedir ;;
230     -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
231     | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
232     | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
233     oldincludedir="$ac_optarg" ;;
234    
235     -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
236     ac_prev=prefix ;;
237     -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
238     prefix="$ac_optarg" ;;
239    
240     -program-prefix | --program-prefix | --program-prefi | --program-pref \
241     | --program-pre | --program-pr | --program-p)
242     ac_prev=program_prefix ;;
243     -program-prefix=* | --program-prefix=* | --program-prefi=* \
244     | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
245     program_prefix="$ac_optarg" ;;
246    
247     -program-suffix | --program-suffix | --program-suffi | --program-suff \
248     | --program-suf | --program-su | --program-s)
249     ac_prev=program_suffix ;;
250     -program-suffix=* | --program-suffix=* | --program-suffi=* \
251     | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
252     program_suffix="$ac_optarg" ;;
253    
254     -program-transform-name | --program-transform-name \
255     | --program-transform-nam | --program-transform-na \
256     | --program-transform-n | --program-transform- \
257     | --program-transform | --program-transfor \
258     | --program-transfo | --program-transf \
259     | --program-trans | --program-tran \
260     | --progr-tra | --program-tr | --program-t)
261     ac_prev=program_transform_name ;;
262     -program-transform-name=* | --program-transform-name=* \
263     | --program-transform-nam=* | --program-transform-na=* \
264     | --program-transform-n=* | --program-transform-=* \
265     | --program-transform=* | --program-transfor=* \
266     | --program-transfo=* | --program-transf=* \
267     | --program-trans=* | --program-tran=* \
268     | --progr-tra=* | --program-tr=* | --program-t=*)
269     program_transform_name="$ac_optarg" ;;
270    
271     -q | -quiet | --quiet | --quie | --qui | --qu | --q \
272     | -silent | --silent | --silen | --sile | --sil)
273     silent=yes ;;
274    
275     -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
276     ac_prev=sbindir ;;
277     -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
278     | --sbi=* | --sb=*)
279     sbindir="$ac_optarg" ;;
280    
281     -sharedstatedir | --sharedstatedir | --sharedstatedi \
282     | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
283     | --sharedst | --shareds | --shared | --share | --shar \
284     | --sha | --sh)
285     ac_prev=sharedstatedir ;;
286     -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
287     | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
288     | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
289     | --sha=* | --sh=*)
290     sharedstatedir="$ac_optarg" ;;
291    
292     -site | --site | --sit)
293     ac_prev=site ;;
294     -site=* | --site=* | --sit=*)
295     site="$ac_optarg" ;;
296    
297     -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
298     ac_prev=srcdir ;;
299     -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
300     srcdir="$ac_optarg" ;;
301    
302     -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
303     | --syscon | --sysco | --sysc | --sys | --sy)
304     ac_prev=sysconfdir ;;
305     -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
306     | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
307     sysconfdir="$ac_optarg" ;;
308    
309     -target | --target | --targe | --targ | --tar | --ta | --t)
310     ac_prev=target ;;
311     -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
312     target="$ac_optarg" ;;
313    
314     -v | -verbose | --verbose | --verbos | --verbo | --verb)
315     verbose=yes ;;
316    
317     -version | --version | --versio | --versi | --vers)
318     echo "configure generated by autoconf version 2.13"
319     exit 0 ;;
320    
321     -with-* | --with-*)
322     ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
323     # Reject names that are not valid shell variable names.
324     if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
325     { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
326     fi
327     ac_package=`echo $ac_package| sed 's/-/_/g'`
328     case "$ac_option" in
329     *=*) ;;
330     *) ac_optarg=yes ;;
331     esac
332     eval "with_${ac_package}='$ac_optarg'" ;;
333    
334     -without-* | --without-*)
335     ac_package=`echo $ac_option|sed -e 's/-*without-//'`
336     # Reject names that are not valid shell variable names.
337     if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
338     { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
339     fi
340     ac_package=`echo $ac_package| sed 's/-/_/g'`
341     eval "with_${ac_package}=no" ;;
342    
343     --x)
344     # Obsolete; use --with-x.
345     with_x=yes ;;
346    
347     -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
348     | --x-incl | --x-inc | --x-in | --x-i)
349     ac_prev=x_includes ;;
350     -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
351     | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
352     x_includes="$ac_optarg" ;;
353    
354     -x-libraries | --x-libraries | --x-librarie | --x-librari \
355     | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
356     ac_prev=x_libraries ;;
357     -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
358     | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
359     x_libraries="$ac_optarg" ;;
360    
361     -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
362     ;;
363    
364     *)
365     if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
366     echo "configure: warning: $ac_option: invalid host type" 1>&2
367     fi
368     if test "x$nonopt" != xNONE; then
369     { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
370     fi
371     nonopt="$ac_option"
372     ;;
373    
374     esac
375     done
376    
377     if test -n "$ac_prev"; then
378     { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
379     fi
380    
381     trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
382    
383     # File descriptor usage:
384     # 0 standard input
385     # 1 file creation
386     # 2 errors and warnings
387     # 3 some systems may open it to /dev/tty
388     # 4 used on the Kubota Titan
389     # 6 checking for... messages and results
390     # 5 compiler messages saved in config.log
391     if test "$silent" = yes; then
392     exec 6>/dev/null
393     else
394     exec 6>&1
395     fi
396     exec 5>./config.log
397    
398     echo "\
399     This file contains any messages produced by compilers while
400     running configure, to aid debugging if configure makes a mistake.
401     " 1>&5
402    
403     # Strip out --no-create and --no-recursion so they do not pile up.
404     # Also quote any args containing shell metacharacters.
405     ac_configure_args=
406     for ac_arg
407     do
408     case "$ac_arg" in
409     -no-create | --no-create | --no-creat | --no-crea | --no-cre \
410     | --no-cr | --no-c) ;;
411     -no-recursion | --no-recursion | --no-recursio | --no-recursi \
412     | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
413     *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
414     ac_configure_args="$ac_configure_args '$ac_arg'" ;;
415     *) ac_configure_args="$ac_configure_args $ac_arg" ;;
416     esac
417     done
418    
419     # NLS nuisances.
420     # Only set these to C if already set. These must not be set unconditionally
421     # because not all systems understand e.g. LANG=C (notably SCO).
422     # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
423     # Non-C LC_CTYPE values break the ctype check.
424     if test "${LANG+set}" = set; then LANG=C; export LANG; fi
425     if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
426     if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
427     if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
428    
429     # confdefs.h avoids OS command line length limits that DEFS can exceed.
430     rm -rf conftest* confdefs.h
431     # AIX cpp loses on an empty file, so make sure it contains at least a newline.
432     echo > confdefs.h
433    
434     # A filename unique to this package, relative to the directory that
435     # configure is in, which we can look for to find out if srcdir is correct.
436     ac_unique_file=dftables.c
437    
438     # Find the source files, if location was not specified.
439     if test -z "$srcdir"; then
440     ac_srcdir_defaulted=yes
441     # Try the directory containing this script, then its parent.
442     ac_prog=$0
443     ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
444     test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
445     srcdir=$ac_confdir
446     if test ! -r $srcdir/$ac_unique_file; then
447     srcdir=..
448     fi
449     else
450     ac_srcdir_defaulted=no
451     fi
452     if test ! -r $srcdir/$ac_unique_file; then
453     if test "$ac_srcdir_defaulted" = yes; then
454     { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
455     else
456     { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
457     fi
458     fi
459     srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
460    
461     # Prefer explicitly selected file to automatically selected ones.
462     if test -z "$CONFIG_SITE"; then
463     if test "x$prefix" != xNONE; then
464     CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
465     else
466     CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
467     fi
468     fi
469     for ac_site_file in $CONFIG_SITE; do
470     if test -r "$ac_site_file"; then
471     echo "loading site script $ac_site_file"
472     . "$ac_site_file"
473     fi
474     done
475    
476     if test -r "$cache_file"; then
477     echo "loading cache $cache_file"
478     . $cache_file
479     else
480     echo "creating cache $cache_file"
481     > $cache_file
482     fi
483    
484     ac_ext=c
485     # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
486     ac_cpp='$CPP $CPPFLAGS'
487     ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
488     ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
489     cross_compiling=$ac_cv_prog_cc_cross
490    
491     ac_exeext=
492     ac_objext=o
493     if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
494     # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
495     if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
496     ac_n= ac_c='
497     ' ac_t=' '
498     else
499     ac_n=-n ac_c= ac_t=
500     fi
501     else
502     ac_n= ac_c='\c' ac_t=
503     fi
504    
505    
506    
507     # Extract the first word of "gcc", so it can be a program name with args.
508     set dummy gcc; ac_word=$2
509     echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
510     echo "configure:531: checking for $ac_word" >&5
511     if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
512     echo $ac_n "(cached) $ac_c" 1>&6
513     else
514     if test -n "$CC"; then
515     ac_cv_prog_CC="$CC" # Let the user override the test.
516     else
517     IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
518     ac_dummy="$PATH"
519     for ac_dir in $ac_dummy; do
520     test -z "$ac_dir" && ac_dir=.
521     if test -f $ac_dir/$ac_word; then
522     ac_cv_prog_CC="gcc"
523     break
524     fi
525     done
526     IFS="$ac_save_ifs"
527     fi
528     fi
529     CC="$ac_cv_prog_CC"
530     if test -n "$CC"; then
531     echo "$ac_t""$CC" 1>&6
532     else
533     echo "$ac_t""no" 1>&6
534     fi
535    
536     if test -z "$CC"; then
537     # Extract the first word of "cc", so it can be a program name with args.
538     set dummy cc; ac_word=$2
539     echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
540     echo "configure:561: checking for $ac_word" >&5
541     if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
542     echo $ac_n "(cached) $ac_c" 1>&6
543     else
544     if test -n "$CC"; then
545     ac_cv_prog_CC="$CC" # Let the user override the test.
546     else
547     IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
548     ac_prog_rejected=no
549     ac_dummy="$PATH"
550     for ac_dir in $ac_dummy; do
551     test -z "$ac_dir" && ac_dir=.
552     if test -f $ac_dir/$ac_word; then
553     if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
554     ac_prog_rejected=yes
555     continue
556     fi
557     ac_cv_prog_CC="cc"
558     break
559     fi
560     done
561     IFS="$ac_save_ifs"
562     if test $ac_prog_rejected = yes; then
563     # We found a bogon in the path, so make sure we never use it.
564     set dummy $ac_cv_prog_CC
565     shift
566     if test $# -gt 0; then
567     # We chose a different compiler from the bogus one.
568     # However, it has the same basename, so the bogon will be chosen
569     # first if we set CC to just the basename; use the full file name.
570     shift
571     set dummy "$ac_dir/$ac_word" "$@"
572     shift
573     ac_cv_prog_CC="$@"
574     fi
575     fi
576     fi
577     fi
578     CC="$ac_cv_prog_CC"
579     if test -n "$CC"; then
580     echo "$ac_t""$CC" 1>&6
581     else
582     echo "$ac_t""no" 1>&6
583     fi
584    
585     if test -z "$CC"; then
586     case "`uname -s`" in
587     *win32* | *WIN32*)
588     # Extract the first word of "cl", so it can be a program name with args.
589     set dummy cl; ac_word=$2
590     echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
591     echo "configure:612: checking for $ac_word" >&5
592     if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
593     echo $ac_n "(cached) $ac_c" 1>&6
594     else
595     if test -n "$CC"; then
596     ac_cv_prog_CC="$CC" # Let the user override the test.
597     else
598     IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
599     ac_dummy="$PATH"
600     for ac_dir in $ac_dummy; do
601     test -z "$ac_dir" && ac_dir=.
602     if test -f $ac_dir/$ac_word; then
603     ac_cv_prog_CC="cl"
604     break
605     fi
606     done
607     IFS="$ac_save_ifs"
608     fi
609     fi
610     CC="$ac_cv_prog_CC"
611     if test -n "$CC"; then
612     echo "$ac_t""$CC" 1>&6
613     else
614     echo "$ac_t""no" 1>&6
615     fi
616     ;;
617     esac
618     fi
619     test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
620     fi
621    
622     echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
623     echo "configure:644: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
624    
625     ac_ext=c
626     # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
627     ac_cpp='$CPP $CPPFLAGS'
628     ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
629     ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
630     cross_compiling=$ac_cv_prog_cc_cross
631    
632     cat > conftest.$ac_ext << EOF
633    
634     #line 655 "configure"
635     #include "confdefs.h"
636    
637     main(){return(0);}
638     EOF
639     if { (eval echo configure:660: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
640     ac_cv_prog_cc_works=yes
641     # If we can't run a trivial program, we are probably using a cross compiler.
642     if (./conftest; exit) 2>/dev/null; then
643     ac_cv_prog_cc_cross=no
644     else
645     ac_cv_prog_cc_cross=yes
646     fi
647     else
648     echo "configure: failed program was:" >&5
649     cat conftest.$ac_ext >&5
650     ac_cv_prog_cc_works=no
651     fi
652     rm -fr conftest*
653     ac_ext=c
654     # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
655     ac_cpp='$CPP $CPPFLAGS'
656     ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
657     ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
658     cross_compiling=$ac_cv_prog_cc_cross
659    
660     echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
661     if test $ac_cv_prog_cc_works = no; then
662     { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
663     fi
664     echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
665     echo "configure:686: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
666     echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
667     cross_compiling=$ac_cv_prog_cc_cross
668    
669     echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
670     echo "configure:691: checking whether we are using GNU C" >&5
671     if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
672     echo $ac_n "(cached) $ac_c" 1>&6
673     else
674     cat > conftest.c <<EOF
675     #ifdef __GNUC__
676     yes;
677     #endif
678     EOF
679     if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:700: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
680     ac_cv_prog_gcc=yes
681     else
682     ac_cv_prog_gcc=no
683     fi
684     fi
685    
686     echo "$ac_t""$ac_cv_prog_gcc" 1>&6
687    
688     if test $ac_cv_prog_gcc = yes; then
689     GCC=yes
690     else
691     GCC=
692     fi
693    
694     ac_test_CFLAGS="${CFLAGS+set}"
695     ac_save_CFLAGS="$CFLAGS"
696     CFLAGS=
697     echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
698     echo "configure:719: checking whether ${CC-cc} accepts -g" >&5
699     if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
700     echo $ac_n "(cached) $ac_c" 1>&6
701     else
702     echo 'void f(){}' > conftest.c
703     if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
704     ac_cv_prog_cc_g=yes
705     else
706     ac_cv_prog_cc_g=no
707     fi
708     rm -f conftest*
709    
710     fi
711    
712     echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
713     if test "$ac_test_CFLAGS" = set; then
714     CFLAGS="$ac_save_CFLAGS"
715     elif test $ac_cv_prog_cc_g = yes; then
716     if test "$GCC" = yes; then
717     CFLAGS="-g -O2"
718     else
719     CFLAGS="-g"
720     fi
721     else
722     if test "$GCC" = yes; then
723     CFLAGS="-O2"
724     else
725     CFLAGS=
726     fi
727     fi
728    
729     # Extract the first word of "ranlib", so it can be a program name with args.
730     set dummy ranlib; ac_word=$2
731     echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
732     echo "configure:753: checking for $ac_word" >&5
733     if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
734     echo $ac_n "(cached) $ac_c" 1>&6
735     else
736     if test -n "$RANLIB"; then
737     ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
738     else
739     IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
740     ac_dummy="$PATH"
741     for ac_dir in $ac_dummy; do
742     test -z "$ac_dir" && ac_dir=.
743     if test -f $ac_dir/$ac_word; then
744     ac_cv_prog_RANLIB="ranlib"
745     break
746     fi
747     done
748     IFS="$ac_save_ifs"
749     test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
750     fi
751     fi
752     RANLIB="$ac_cv_prog_RANLIB"
753     if test -n "$RANLIB"; then
754     echo "$ac_t""$RANLIB" 1>&6
755     else
756     echo "$ac_t""no" 1>&6
757     fi
758    
759    
760     echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
761     echo "configure:782: checking how to run the C preprocessor" >&5
762     # On Suns, sometimes $CPP names a directory.
763     if test -n "$CPP" && test -d "$CPP"; then
764     CPP=
765     fi
766     if test -z "$CPP"; then
767     if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
768     echo $ac_n "(cached) $ac_c" 1>&6
769     else
770     # This must be in double quotes, not single quotes, because CPP may get
771     # substituted into the Makefile and "${CC-cc}" will confuse make.
772     CPP="${CC-cc} -E"
773     # On the NeXT, cc -E runs the code through the compiler's parser,
774     # not just through cpp.
775     cat > conftest.$ac_ext <<EOF
776     #line 797 "configure"
777     #include "confdefs.h"
778     #include <assert.h>
779     Syntax Error
780     EOF
781     ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
782     { (eval echo configure:803: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
783     ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
784     if test -z "$ac_err"; then
785     :
786     else
787     echo "$ac_err" >&5
788     echo "configure: failed program was:" >&5
789     cat conftest.$ac_ext >&5
790     rm -rf conftest*
791     CPP="${CC-cc} -E -traditional-cpp"
792     cat > conftest.$ac_ext <<EOF
793     #line 814 "configure"
794     #include "confdefs.h"
795     #include <assert.h>
796     Syntax Error
797     EOF
798     ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
799     { (eval echo configure:820: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
800     ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
801     if test -z "$ac_err"; then
802     :
803     else
804     echo "$ac_err" >&5
805     echo "configure: failed program was:" >&5
806     cat conftest.$ac_ext >&5
807     rm -rf conftest*
808     CPP="${CC-cc} -nologo -E"
809     cat > conftest.$ac_ext <<EOF
810     #line 831 "configure"
811     #include "confdefs.h"
812     #include <assert.h>
813     Syntax Error
814     EOF
815     ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
816     { (eval echo configure:837: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
817     ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
818     if test -z "$ac_err"; then
819     :
820     else
821     echo "$ac_err" >&5
822     echo "configure: failed program was:" >&5
823     cat conftest.$ac_ext >&5
824     rm -rf conftest*
825     CPP=/lib/cpp
826     fi
827     rm -f conftest*
828     fi
829     rm -f conftest*
830     fi
831     rm -f conftest*
832     ac_cv_prog_CPP="$CPP"
833     fi
834     CPP="$ac_cv_prog_CPP"
835     else
836     ac_cv_prog_CPP="$CPP"
837     fi
838     echo "$ac_t""$CPP" 1>&6
839    
840     echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
841     echo "configure:862: checking for ANSI C header files" >&5
842     if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
843     echo $ac_n "(cached) $ac_c" 1>&6
844     else
845     cat > conftest.$ac_ext <<EOF
846     #line 867 "configure"
847     #include "confdefs.h"
848     #include <stdlib.h>
849     #include <stdarg.h>
850     #include <string.h>
851     #include <float.h>
852     EOF
853     ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
854     { (eval echo configure:875: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
855     ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
856     if test -z "$ac_err"; then
857     rm -rf conftest*
858     ac_cv_header_stdc=yes
859     else
860     echo "$ac_err" >&5
861     echo "configure: failed program was:" >&5
862     cat conftest.$ac_ext >&5
863     rm -rf conftest*
864     ac_cv_header_stdc=no
865     fi
866     rm -f conftest*
867    
868     if test $ac_cv_header_stdc = yes; then
869     # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
870     cat > conftest.$ac_ext <<EOF
871     #line 892 "configure"
872     #include "confdefs.h"
873     #include <string.h>
874     EOF
875     if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
876     egrep "memchr" >/dev/null 2>&1; then
877     :
878     else
879     rm -rf conftest*
880     ac_cv_header_stdc=no
881     fi
882     rm -f conftest*
883    
884     fi
885    
886     if test $ac_cv_header_stdc = yes; then
887     # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
888     cat > conftest.$ac_ext <<EOF
889     #line 910 "configure"
890     #include "confdefs.h"
891     #include <stdlib.h>
892     EOF
893     if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
894     egrep "free" >/dev/null 2>&1; then
895     :
896     else
897     rm -rf conftest*
898     ac_cv_header_stdc=no
899     fi
900     rm -f conftest*
901    
902     fi
903    
904     if test $ac_cv_header_stdc = yes; then
905     # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
906     if test "$cross_compiling" = yes; then
907     :
908     else
909     cat > conftest.$ac_ext <<EOF
910     #line 931 "configure"
911     #include "confdefs.h"
912     #include <ctype.h>
913     #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
914     #define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
915     #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
916     int main () { int i; for (i = 0; i < 256; i++)
917     if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
918     exit (0); }
919    
920     EOF
921     if { (eval echo configure:942: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
922     then
923     :
924     else
925     echo "configure: failed program was:" >&5
926     cat conftest.$ac_ext >&5
927     rm -fr conftest*
928     ac_cv_header_stdc=no
929     fi
930     rm -fr conftest*
931     fi
932    
933     fi
934     fi
935    
936     echo "$ac_t""$ac_cv_header_stdc" 1>&6
937     if test $ac_cv_header_stdc = yes; then
938     cat >> confdefs.h <<\EOF
939     #define STDC_HEADERS 1
940     EOF
941    
942     fi
943    
944     for ac_hdr in limits.h
945     do
946     ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
947     echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
948     echo "configure:969: checking for $ac_hdr" >&5
949     if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
950     echo $ac_n "(cached) $ac_c" 1>&6
951     else
952     cat > conftest.$ac_ext <<EOF
953     #line 974 "configure"
954     #include "confdefs.h"
955     #include <$ac_hdr>
956     EOF
957     ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
958     { (eval echo configure:979: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
959     ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
960     if test -z "$ac_err"; then
961     rm -rf conftest*
962     eval "ac_cv_header_$ac_safe=yes"
963     else
964     echo "$ac_err" >&5
965     echo "configure: failed program was:" >&5
966     cat conftest.$ac_ext >&5
967     rm -rf conftest*
968     eval "ac_cv_header_$ac_safe=no"
969     fi
970     rm -f conftest*
971     fi
972     if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
973     echo "$ac_t""yes" 1>&6
974     ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
975     cat >> confdefs.h <<EOF
976     #define $ac_tr_hdr 1
977     EOF
978    
979     else
980     echo "$ac_t""no" 1>&6
981     fi
982     done
983    
984    
985     echo $ac_n "checking for working const""... $ac_c" 1>&6
986     echo "configure:1007: checking for working const" >&5
987     if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
988     echo $ac_n "(cached) $ac_c" 1>&6
989     else
990     cat > conftest.$ac_ext <<EOF
991     #line 1012 "configure"
992     #include "confdefs.h"
993    
994     int main() {
995    
996     /* Ultrix mips cc rejects this. */
997     typedef int charset[2]; const charset x;
998     /* SunOS 4.1.1 cc rejects this. */
999     char const *const *ccp;
1000     char **p;
1001     /* NEC SVR4.0.2 mips cc rejects this. */
1002     struct point {int x, y;};
1003     static struct point const zero = {0,0};
1004     /* AIX XL C 1.02.0.0 rejects this.
1005     It does not let you subtract one const X* pointer from another in an arm
1006     of an if-expression whose if-part is not a constant expression */
1007     const char *g = "string";
1008     ccp = &g + (g ? g-g : 0);
1009     /* HPUX 7.0 cc rejects these. */
1010     ++ccp;
1011     p = (char**) ccp;
1012     ccp = (char const *const *) p;
1013     { /* SCO 3.2v4 cc rejects this. */
1014     char *t;
1015     char const *s = 0 ? (char *) 0 : (char const *) 0;
1016    
1017     *t++ = 0;
1018     }
1019     { /* Someone thinks the Sun supposedly-ANSI compiler will reject this. */
1020     int x[] = {25, 17};
1021     const int *foo = &x[0];
1022     ++foo;
1023     }
1024     { /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
1025     typedef const int *iptr;
1026     iptr p = 0;
1027     ++p;
1028     }
1029     { /* AIX XL C 1.02.0.0 rejects this saying
1030     "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
1031     struct s { int j; const int *ap[3]; };
1032     struct s *b; b->j = 5;
1033     }
1034     { /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
1035     const int foo = 10;
1036     }
1037    
1038     ; return 0; }
1039     EOF
1040     if { (eval echo configure:1061: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1041     rm -rf conftest*
1042     ac_cv_c_const=yes
1043     else
1044     echo "configure: failed program was:" >&5
1045     cat conftest.$ac_ext >&5
1046     rm -rf conftest*
1047     ac_cv_c_const=no
1048     fi
1049     rm -f conftest*
1050     fi
1051    
1052     echo "$ac_t""$ac_cv_c_const" 1>&6
1053     if test $ac_cv_c_const = no; then
1054     cat >> confdefs.h <<\EOF
1055     #define const
1056     EOF
1057    
1058     fi
1059    
1060     echo $ac_n "checking for size_t""... $ac_c" 1>&6
1061     echo "configure:1082: checking for size_t" >&5
1062     if eval "test \"`echo '$''{'ac_cv_type_size_t'+set}'`\" = set"; then
1063     echo $ac_n "(cached) $ac_c" 1>&6
1064     else
1065     cat > conftest.$ac_ext <<EOF
1066     #line 1087 "configure"
1067     #include "confdefs.h"
1068     #include <sys/types.h>
1069     #if STDC_HEADERS
1070     #include <stdlib.h>
1071     #include <stddef.h>
1072     #endif
1073     EOF
1074     if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1075     egrep "(^|[^a-zA-Z_0-9])size_t[^a-zA-Z_0-9]" >/dev/null 2>&1; then
1076     rm -rf conftest*
1077     ac_cv_type_size_t=yes
1078     else
1079     rm -rf conftest*
1080     ac_cv_type_size_t=no
1081     fi
1082     rm -f conftest*
1083    
1084     fi
1085     echo "$ac_t""$ac_cv_type_size_t" 1>&6
1086     if test $ac_cv_type_size_t = no; then
1087     cat >> confdefs.h <<\EOF
1088     #define size_t unsigned
1089     EOF
1090    
1091     fi
1092    
1093    
1094     for ac_func in memmove strerror
1095     do
1096     echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
1097     echo "configure:1118: checking for $ac_func" >&5
1098     if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
1099     echo $ac_n "(cached) $ac_c" 1>&6
1100     else
1101     cat > conftest.$ac_ext <<EOF
1102     #line 1123 "configure"
1103     #include "confdefs.h"
1104     /* System header to define __stub macros and hopefully few prototypes,
1105     which can conflict with char $ac_func(); below. */
1106     #include <assert.h>
1107     /* Override any gcc2 internal prototype to avoid an error. */
1108     /* We use char because int might match the return type of a gcc2
1109     builtin and then its argument prototype would still apply. */
1110     char $ac_func();
1111    
1112     int main() {
1113    
1114     /* The GNU C library defines this for functions which it implements
1115     to always fail with ENOSYS. Some functions are actually named
1116     something starting with __ and the normal name is an alias. */
1117     #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
1118     choke me
1119     #else
1120     $ac_func();
1121     #endif
1122    
1123     ; return 0; }
1124     EOF
1125     if { (eval echo configure:1146: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1126     rm -rf conftest*
1127     eval "ac_cv_func_$ac_func=yes"
1128     else
1129     echo "configure: failed program was:" >&5
1130     cat conftest.$ac_ext >&5
1131     rm -rf conftest*
1132     eval "ac_cv_func_$ac_func=no"
1133     fi
1134     rm -f conftest*
1135     fi
1136    
1137     if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
1138     echo "$ac_t""yes" 1>&6
1139     ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
1140     cat >> confdefs.h <<EOF
1141     #define $ac_tr_func 1
1142     EOF
1143    
1144     else
1145     echo "$ac_t""no" 1>&6
1146     fi
1147     done
1148    
1149    
1150    
1151    
1152     LIBTOOL=
1153     LIBSUFFIX=a
1154     # Check whether --enable-shared or --disable-shared was given.
1155     if test "${enable_shared+set}" = set; then
1156     enableval="$enable_shared"
1157     if test "$enableval" = "yes"; then
1158     LIBTOOL=libtool
1159     LIBSUFFIX=la
1160     fi
1161    
1162     fi
1163    
1164    
1165    
1166    
1167     trap '' 1 2 15
1168     cat > confcache <<\EOF
1169     # This file is a shell script that caches the results of configure
1170     # tests run on this system so they can be shared between configure
1171     # scripts and configure runs. It is not useful on other systems.
1172     # If it contains results you don't want to keep, you may remove or edit it.
1173     #
1174     # By default, configure uses ./config.cache as the cache file,
1175     # creating it if it does not exist already. You can give configure
1176     # the --cache-file=FILE option to use a different cache file; that is
1177     # what configure does when it calls configure scripts in
1178     # subdirectories, so they share the cache.
1179     # Giving --cache-file=/dev/null disables caching, for debugging configure.
1180     # config.status only pays attention to the cache file if you give it the
1181     # --recheck option to rerun configure.
1182     #
1183     EOF
1184     # The following way of writing the cache mishandles newlines in values,
1185     # but we know of no workaround that is simple, portable, and efficient.
1186     # So, don't put newlines in cache variables' values.
1187     # Ultrix sh set writes to stderr and can't be redirected directly,
1188     # and sets the high bit in the cache file unless we assign to the vars.
1189     (set) 2>&1 |
1190     case `(ac_space=' '; set | grep ac_space) 2>&1` in
1191     *ac_space=\ *)
1192     # `set' does not quote correctly, so add quotes (double-quote substitution
1193     # turns \\\\ into \\, and sed turns \\ into \).
1194     sed -n \
1195     -e "s/'/'\\\\''/g" \
1196     -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1197     ;;
1198     *)
1199     # `set' quotes correctly as required by POSIX, so do not add quotes.
1200     sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1201     ;;
1202     esac >> confcache
1203     if cmp -s $cache_file confcache; then
1204     :
1205     else
1206     if test -w $cache_file; then
1207     echo "updating cache $cache_file"
1208     cat confcache > $cache_file
1209     else
1210     echo "not updating unwritable cache $cache_file"
1211     fi
1212     fi
1213     rm -f confcache
1214    
1215     trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1216    
1217     test "x$prefix" = xNONE && prefix=$ac_default_prefix
1218     # Let make expand exec_prefix.
1219     test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1220    
1221     # Any assignment to VPATH causes Sun make to only execute
1222     # the first set of double-colon rules, so remove it if not needed.
1223     # If there is a colon in the path, we need to keep it.
1224     if test "x$srcdir" = x.; then
1225     ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1226     fi
1227    
1228     trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1229    
1230     DEFS=-DHAVE_CONFIG_H
1231    
1232     # Without the "./", some shells look in PATH for config.status.
1233     : ${CONFIG_STATUS=./config.status}
1234    
1235     echo creating $CONFIG_STATUS
1236     rm -f $CONFIG_STATUS
1237     cat > $CONFIG_STATUS <<EOF
1238     #! /bin/sh
1239     # Generated automatically by configure.
1240     # Run this file to recreate the current configuration.
1241     # This directory was configured as follows,
1242     # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1243     #
1244     # $0 $ac_configure_args
1245     #
1246     # Compiler output produced by configure, useful for debugging
1247     # configure, is in ./config.log if it exists.
1248    
1249     ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1250     for ac_option
1251     do
1252     case "\$ac_option" in
1253     -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1254     echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1255     exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1256     -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1257     echo "$CONFIG_STATUS generated by autoconf version 2.13"
1258     exit 0 ;;
1259     -help | --help | --hel | --he | --h)
1260     echo "\$ac_cs_usage"; exit 0 ;;
1261     *) echo "\$ac_cs_usage"; exit 1 ;;
1262     esac
1263     done
1264    
1265     ac_given_srcdir=$srcdir
1266    
1267     trap 'rm -fr `echo "Makefile config.h:config.in" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1268     EOF
1269     cat >> $CONFIG_STATUS <<EOF
1270    
1271     # Protect against being on the right side of a sed subst in config.status.
1272     sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1273     s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1274     $ac_vpsub
1275     $extrasub
1276     s%@SHELL@%$SHELL%g
1277     s%@CFLAGS@%$CFLAGS%g
1278     s%@CPPFLAGS@%$CPPFLAGS%g
1279     s%@CXXFLAGS@%$CXXFLAGS%g
1280     s%@FFLAGS@%$FFLAGS%g
1281     s%@DEFS@%$DEFS%g
1282     s%@LDFLAGS@%$LDFLAGS%g
1283     s%@LIBS@%$LIBS%g
1284     s%@exec_prefix@%$exec_prefix%g
1285     s%@prefix@%$prefix%g
1286     s%@program_transform_name@%$program_transform_name%g
1287     s%@bindir@%$bindir%g
1288     s%@sbindir@%$sbindir%g
1289     s%@libexecdir@%$libexecdir%g
1290     s%@datadir@%$datadir%g
1291     s%@sysconfdir@%$sysconfdir%g
1292     s%@sharedstatedir@%$sharedstatedir%g
1293     s%@localstatedir@%$localstatedir%g
1294     s%@libdir@%$libdir%g
1295     s%@includedir@%$includedir%g
1296     s%@oldincludedir@%$oldincludedir%g
1297     s%@infodir@%$infodir%g
1298     s%@mandir@%$mandir%g
1299     s%@CC@%$CC%g
1300     s%@RANLIB@%$RANLIB%g
1301     s%@CPP@%$CPP%g
1302     s%@LIBTOOL@%$LIBTOOL%g
1303     s%@LIBSUFFIX@%$LIBSUFFIX%g
1304    
1305     CEOF
1306     EOF
1307    
1308     cat >> $CONFIG_STATUS <<\EOF
1309    
1310     # Split the substitutions into bite-sized pieces for seds with
1311     # small command number limits, like on Digital OSF/1 and HP-UX.
1312     ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1313     ac_file=1 # Number of current file.
1314     ac_beg=1 # First line for current file.
1315     ac_end=$ac_max_sed_cmds # Line after last line for current file.
1316     ac_more_lines=:
1317     ac_sed_cmds=""
1318     while $ac_more_lines; do
1319     if test $ac_beg -gt 1; then
1320     sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1321     else
1322     sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1323     fi
1324     if test ! -s conftest.s$ac_file; then
1325     ac_more_lines=false
1326     rm -f conftest.s$ac_file
1327     else
1328     if test -z "$ac_sed_cmds"; then
1329     ac_sed_cmds="sed -f conftest.s$ac_file"
1330     else
1331     ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1332     fi
1333     ac_file=`expr $ac_file + 1`
1334     ac_beg=$ac_end
1335     ac_end=`expr $ac_end + $ac_max_sed_cmds`
1336     fi
1337     done
1338     if test -z "$ac_sed_cmds"; then
1339     ac_sed_cmds=cat
1340     fi
1341     EOF
1342    
1343     cat >> $CONFIG_STATUS <<EOF
1344    
1345     CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1346     EOF
1347     cat >> $CONFIG_STATUS <<\EOF
1348     for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1349     # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1350     case "$ac_file" in
1351     *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1352     ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1353     *) ac_file_in="${ac_file}.in" ;;
1354     esac
1355    
1356     # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1357    
1358     # Remove last slash and all that follows it. Not all systems have dirname.
1359     ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1360     if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1361     # The file is in a subdirectory.
1362     test ! -d "$ac_dir" && mkdir "$ac_dir"
1363     ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1364     # A "../" for each directory in $ac_dir_suffix.
1365     ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1366     else
1367     ac_dir_suffix= ac_dots=
1368     fi
1369    
1370     case "$ac_given_srcdir" in
1371     .) srcdir=.
1372     if test -z "$ac_dots"; then top_srcdir=.
1373     else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1374     /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1375     *) # Relative path.
1376     srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1377     top_srcdir="$ac_dots$ac_given_srcdir" ;;
1378     esac
1379    
1380    
1381     echo creating "$ac_file"
1382     rm -f "$ac_file"
1383     configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1384     case "$ac_file" in
1385     *Makefile*) ac_comsub="1i\\
1386     # $configure_input" ;;
1387     *) ac_comsub= ;;
1388     esac
1389    
1390     ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1391     sed -e "$ac_comsub
1392     s%@configure_input@%$configure_input%g
1393     s%@srcdir@%$srcdir%g
1394     s%@top_srcdir@%$top_srcdir%g
1395     " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1396     fi; done
1397     rm -f conftest.s*
1398    
1399     # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1400     # NAME is the cpp macro being defined and VALUE is the value it is being given.
1401     #
1402     # ac_d sets the value in "#define NAME VALUE" lines.
1403     ac_dA='s%^\([ ]*\)#\([ ]*define[ ][ ]*\)'
1404     ac_dB='\([ ][ ]*\)[^ ]*%\1#\2'
1405     ac_dC='\3'
1406     ac_dD='%g'
1407     # ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1408     ac_uA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1409     ac_uB='\([ ]\)%\1#\2define\3'
1410     ac_uC=' '
1411     ac_uD='\4%g'
1412     # ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1413     ac_eA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1414     ac_eB='$%\1#\2define\3'
1415     ac_eC=' '
1416     ac_eD='%g'
1417    
1418     if test "${CONFIG_HEADERS+set}" != set; then
1419     EOF
1420     cat >> $CONFIG_STATUS <<EOF
1421     CONFIG_HEADERS="config.h:config.in"
1422     EOF
1423     cat >> $CONFIG_STATUS <<\EOF
1424     fi
1425     for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1426     # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1427     case "$ac_file" in
1428     *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1429     ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1430     *) ac_file_in="${ac_file}.in" ;;
1431     esac
1432    
1433     echo creating $ac_file
1434    
1435     rm -f conftest.frag conftest.in conftest.out
1436     ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1437     cat $ac_file_inputs > conftest.in
1438    
1439     EOF
1440    
1441     # Transform confdefs.h into a sed script conftest.vals that substitutes
1442     # the proper values into config.h.in to produce config.h. And first:
1443     # Protect against being on the right side of a sed subst in config.status.
1444     # Protect against being in an unquoted here document in config.status.
1445     rm -f conftest.vals
1446     cat > conftest.hdr <<\EOF
1447     s/[\\&%]/\\&/g
1448     s%[\\$`]%\\&%g
1449     s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1450     s%ac_d%ac_u%gp
1451     s%ac_u%ac_e%gp
1452     EOF
1453     sed -n -f conftest.hdr confdefs.h > conftest.vals
1454     rm -f conftest.hdr
1455    
1456     # This sed command replaces #undef with comments. This is necessary, for
1457     # example, in the case of _POSIX_SOURCE, which is predefined and required
1458     # on some systems where configure will not decide to define it.
1459     cat >> conftest.vals <<\EOF
1460     s%^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1461     EOF
1462    
1463     # Break up conftest.vals because some shells have a limit on
1464     # the size of here documents, and old seds have small limits too.
1465    
1466     rm -f conftest.tail
1467     while :
1468     do
1469     ac_lines=`grep -c . conftest.vals`
1470     # grep -c gives empty output for an empty file on some AIX systems.
1471     if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1472     # Write a limited-size here document to conftest.frag.
1473     echo ' cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1474     sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1475     echo 'CEOF
1476     sed -f conftest.frag conftest.in > conftest.out
1477     rm -f conftest.in
1478     mv conftest.out conftest.in
1479     ' >> $CONFIG_STATUS
1480     sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1481     rm -f conftest.vals
1482     mv conftest.tail conftest.vals
1483     done
1484     rm -f conftest.vals
1485    
1486     cat >> $CONFIG_STATUS <<\EOF
1487     rm -f conftest.frag conftest.h
1488     echo "/* $ac_file. Generated automatically by configure. */" > conftest.h
1489     cat conftest.in >> conftest.h
1490     rm -f conftest.in
1491     if cmp -s $ac_file conftest.h 2>/dev/null; then
1492     echo "$ac_file is unchanged"
1493     rm -f conftest.h
1494     else
1495     # Remove last slash and all that follows it. Not all systems have dirname.
1496     ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1497     if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1498     # The file is in a subdirectory.
1499     test ! -d "$ac_dir" && mkdir "$ac_dir"
1500     fi
1501     rm -f $ac_file
1502     mv conftest.h $ac_file
1503     fi
1504     fi; done
1505    
1506     EOF
1507     cat >> $CONFIG_STATUS <<EOF
1508    
1509     EOF
1510     cat >> $CONFIG_STATUS <<\EOF
1511    
1512     exit 0
1513     EOF
1514     chmod +x $CONFIG_STATUS
1515     rm -fr confdefs* $ac_clean_files
1516     test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1517    

Properties

Name Value
svn:executable *

webmaster@exim.org
ViewVC Help
Powered by ViewVC 1.1.12